=== requirements.txt ===
cwl-upgrader >= 1.2.3
packaging
rdflib
requests
CacheControl
schema-salad >= 8.3.20220825114525, < 9
