=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme
sphinx-autoapi
sphinx-autodoc-typehints
typed_ast;python_version<'3.8'
sphinxcontrib-autoprogram
