## cwl-utils 0.20

=== debian/changelog ===
cwl-utils (0.20-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 16 Oct 2022 14:47:33 +0200

cwl-utils (0.17-2) unstable; urgency=medium

  * Depend on python3-filelock while we wait for the new python3-schema-salad.
  * Delete problematic test file that depends on the unpackaged cwlformat
    as --ignore{,-glob} was not working with pytest in the autopkgtests
  * Drop useless Testsuite: autopkgtest-pkg-python, we have a better one
  * Trim install deps of cwl-utils

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 16 Oct 2022 14:46:14 +0200

cwl-utils (0.17-1) unstable; urgency=low

  * Initial release. Closes: #1018887

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 02 Sep 2022 13:29:56 +0200
