=== debian/control ===
Source: cwl-utils
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cwl-upgrader,
               python3-all,
               python3-cachecontrol,
               python3-packaging,
               python3-rdflib,
               python3-requests,
               python3-schema-salad (>= 8.3),
               python3-filelock <!nocheck>,
               python3-setuptools,
               python3-pytest <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/cwl-utils
Vcs-Git: https://salsa.debian.org/python-team/packages/cwl-utils.git
Homepage: https://github.com/common-workflow-language/cwl-utils
Rules-Requires-Root: no

Package: python3-cwl-utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-filelock
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, cwl-utils
Description: Python Utilities and Autogenerated Classes for CWL v1.0 - v1.2
 The autogenerated classes can create, load, and save objects based upon CWL
 (the Common Workflow Language open standards for executable descriptions of
 comandline tools and workflows made from them).
 .
 See the 'cwl-utils' package for command line utilities that use these classes.

Package: cwl-utils
Architecture: all
Depends: ${misc:Depends}, python3-cwl-utils (= ${binary:Version})
Description: Utilities for using CWL documents
 cwl-docker-extract - cache or pre-pull all software container images referenced
 in a CWL CommandLineTool or CWL Workflow (including all referenced
 CommandLineTools and sub-Workflows and so on).
 .
 cwl-cite-extract - prints all software packages found (recursively) in the
 specified CWL document.
 .
 cwl-expression-refactor - refactors CWL documents so that any CWL Expression
 evaluations are separate steps (either CWL ExpressionTools or CWL
 CommandLineTools). This allows execution by CWL engines that do not want to
 support inline expression evaluation outside of concrete steps, or do not want
 to directly support CWL's optional InlineJavascriptRequirement at all.
 .
 cwl-graph-split - Splits a packed CWL document file into multiple files.
 Packed CWL documents use the $graph construct to contain multiple CWL Process
 objects (Workflow, CommandLineTool, ExpressionTool, Operation). Typically
 packed CWL documents contain a CWL Workflow under the name "main" and the
 workflow steps (including any sub-workflows).
 .
 cwl-normalizer - Normalizes a CWL document all its dependencies into a single
 JSON format CWL document, upgrading to CWL v1.2, as needed. Can optionally
 refactor CWL Expressions into separate steps in the manner of
 cwl-expression-refactor.
