=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=cwl-utils

export PYBUILD_TEST_ARGS=--ignore-glob=*/test_graph_split.py -k 'not test_load_document_with_remote_uri'
# test_graph_split: requires cwlformat, which is not packeged
# test_load_document_with_remote_uri: requires external resource

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --test-pytest

override_dh_install:
	dh_install
	rm debian/python3-cwl-utils/usr/lib/python3*/dist-packages/cwl_utils/tests/test_graph_split.py
	rm -Rf debian/python3-cwl-utils/usr/bin
