## cwl-utils 0.21

=== debian/changelog ===
cwl-utils (0.21-1) unstable; urgency=medium

  * New upstream version
  * d/control, d/tests/control: new test dependency: pytest-mock & nodejs

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 29 Nov 2022 17:36:56 +0100
