=== debian/control ===
--- 
+++ 
@@ -14,7 +14,10 @@
                python3-schema-salad (>= 8.3),
                python3-filelock <!nocheck>,
                python3-setuptools,
-               python3-pytest <!nocheck>
+               python3-pytest <!nocheck>,
+               python3-pytest-mock <!nocheck>,
+               python3-mock <!nocheck>,
+               nodejs <!nocheck>
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cwl-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/cwl-utils.git
