=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest, python3-pytest-mock, python3-mock, nodejs
Restrictions: allow-stderr
