## cwl-utils 0.22

=== debian/changelog ===
cwl-utils (0.22-1) unstable; urgency=medium

  * suggest cwl-upgrader for the cwl-normalizer tool
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Add build-dep on cwlformat and restore the graph-split test.
  * fix install location for scripts; add missing explicit python3 dep

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 27 Jan 2023 10:07:36 +0100
