=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                cwl-upgrader,
+               cwlformat,
                python3-all,
                python3-cachecontrol,
                python3-packaging,
@@ -18,7 +19,7 @@
                python3-pytest-mock <!nocheck>,
                python3-mock <!nocheck>,
                nodejs <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cwl-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/cwl-utils.git
 Homepage: https://github.com/common-workflow-language/cwl-utils
@@ -38,7 +39,8 @@
 
 Package: cwl-utils
 Architecture: all
-Depends: ${misc:Depends}, python3-cwl-utils (= ${binary:Version})
+Depends: ${misc:Depends}, python3-cwl-utils (= ${binary:Version}), python3
+Suggests: cwl-upgrader, cwlformat
 Description: Utilities for using CWL documents
  cwl-docker-extract - cache or pre-pull all software container images referenced
  in a CWL CommandLineTool or CWL Workflow (including all referenced
@@ -57,9 +59,9 @@
  Packed CWL documents use the $graph construct to contain multiple CWL Process
  objects (Workflow, CommandLineTool, ExpressionTool, Operation). Typically
  packed CWL documents contain a CWL Workflow under the name "main" and the
- workflow steps (including any sub-workflows).
+ workflow steps (including any sub-workflows) [requires cwlformat].
  .
  cwl-normalizer - Normalizes a CWL document all its dependencies into a single
  JSON format CWL document, upgrading to CWL v1.2, as needed. Can optionally
  refactor CWL Expressions into separate steps in the manner of
- cwl-expression-refactor.
+ cwl-expression-refactor [requires cwl-upgrader].
