=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=cwl-utils

export PYBUILD_TEST_ARGS=-k 'not (test_load_document_with_remote_uri or test_graph_split)'
# test_load_document_with_remote_uri: requires external resource
# test_graph_split: requires external resource

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --test-pytest

override_dh_install:
	dh_install
	rm -Rf debian/python3-cwl-utils/usr/bin
