## cwl-utils 0.28

=== Makefile ===
--- 
+++ 
@@ -29,8 +29,8 @@
 PYSOURCES=$(filter-out $(MODULE)/parser/cwl_v%,$(shell find $(MODULE) -name "*.py")) \
 	  $(wildcard tests/*.py) create_cwl_from_objects.py load_cwl_by_path.py \
 	  setup.py ${MODULE}/parser/cwl_v1_?_utils.py docs/conf.py
-DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox tox-pyenv \
-	isort wheel autoflake flake8-bugbear pyupgrade bandit \
+DEVPKGS=diff_cover  pylint pep257 pydocstyle flake8 tox tox-pyenv \
+	isort wheel autoflake pyupgrade bandit -rlint-requirements.txt \
 	-rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
@@ -79,7 +79,7 @@
 
 ## clean                  : clean up all temporary / machine-generated files
 clean: FORCE
-	rm -f ${MODILE}/*.pyc tests/*.pyc
+	rm -f ${MODULE}/*.pyc tests/*.pyc
 	python setup.py clean --all || true
 	rm -Rf .coverage
 	rm -f diff-cover.html
@@ -109,8 +109,8 @@
 	codespell -w $(shell git ls-files | grep -v mypy-stubs)
 
 ## format                 : check/fix all code indentation and formatting (runs black)
-format: $(PYSOURCES)
-	black $^
+format: $(PYSOURCES) FORCE
+	black $(PYSOURCES)
 
 format-check: $(PYSOURCES)
 	black --diff --check $^
@@ -152,7 +152,7 @@
 
 ## test                   : run the cwl-utils test suite
 test: $(PYSOURCES)
-	python -m pytest -rs ${PYTEST_EXTRA}
+	python -m pytest -rsx ${PYTEST_EXTRA}
 
 ## testcov                : run the cwl-utils test suite and collect coverage
 testcov: $(PYSOURCES)
