=== debian/changelog ===
cwl-utils (0.28-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/rules: skip test test_remote_packing* during offline builds

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Aug 2023 20:01:43 +0200
