## cwl-utils 0.29

=== requirements.txt ===
cwl-upgrader >= 1.2.3
packaging
rdflib
requests
schema-salad >= 8.3.20220825114525, < 9
ruamel.yaml >= 0.17.6, < 0.18;python_version>='3.7'
ruamel.yaml >= 0.16.12, < 0.18
