=== debian/changelog ===
cwl-utils (0.29-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Sep 2023 14:26:24 +0200
