=== requirements.txt ===
cwl-upgrader >= 1.2.3
packaging
rdflib
requests
schema-salad >= 8.5, < 9
ruamel.yaml >= 0.17.6, < 0.19
importlib_resources;python_version<'3.9'
