=== debian/changelog ===
cwl-utils (0.32-1) unstable; urgency=medium

  * New upstream version. Will break cwltool prior to 3.1.20231206180100

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 02 Jan 2024 14:24:48 +0100
