=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
 Depends: ${misc:Depends}, ${python3:Depends}, python3-filelock
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}, cwl-utils
+Breaks: cwltool (<< 3.1.20231206180100)
 Description: Python Utilities and Autogenerated Classes for CWL v1.0 - v1.2
  The autogenerated classes can create, load, and save objects based upon CWL
  (the Common Workflow Language open standards for executable descriptions of
