## cwl-utils 0.33

=== Makefile ===
--- 
+++ 
@@ -28,9 +28,9 @@
 # `[[` conditional expressions.
 PYSOURCES=$(filter-out $(MODULE)/parser/cwl_v%,$(shell find $(MODULE) -name "*.py")) \
 	  $(wildcard tests/*.py) create_cwl_from_objects.py load_cwl_by_path.py \
-	  setup.py ${MODULE}/parser/cwl_v1_?_utils.py docs/conf.py
-DEVPKGS=diff_cover  pylint pep257 pydocstyle flake8 tox tox-pyenv \
-	isort wheel autoflake pyupgrade bandit auto-walrus \
+	  ${MODULE}/parser/cwl_v1_?_utils.py docs/conf.py
+DEVPKGS=build diff_cover pylint pep257 pydocstyle 'tox<4' tox-pyenv \
+	wheel autoflake pyupgrade bandit auto-walrus \
 	-rlint-requirements.txt -rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
@@ -52,8 +52,8 @@
 install-dep: install-dependencies
 
 install-dependencies:
+	pip install -U pip setuptools wheel
 	pip install --upgrade $(DEVPKGS)
-	pip install -r requirements.txt -r mypy-requirements.txt -r docs/requirements.txt
 
 ## install-deb-dep        : install many of the dev dependencies via apt-get
 install-deb-dep:
@@ -65,13 +65,14 @@
 
 ## dev                    : install the cwl-utils package in dev mode
 dev: install-dep
+	pip install -U pip setuptools wheel
 	pip install -e .$(EXTRAS)
 
 ## dist                   : create a module package for distribution
 dist: dist/${MODULE}-$(VERSION).tar.gz
 
 dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
-	python setup.py sdist bdist_wheel
+	python -m build
 
 ## docs                   : make the docs
 docs: FORCE
@@ -80,7 +81,6 @@
 ## clean                  : clean up all temporary / machine-generated files
 clean: FORCE
 	rm -f ${MODULE}/*.pyc tests/*.pyc
-	python setup.py clean --all || true
 	rm -Rf .coverage
 	rm -f diff-cover.html
 
@@ -98,7 +98,7 @@
 	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true
 
 pydocstyle_report.txt: $(PYSOURCES)
-	pydocstyle setup.py $^ > $@ 2>&1 || true
+	pydocstyle $^ > $@ 2>&1 || true
 
 ## diff_pydocstyle_report : check Python docstring style for changed files only
 diff_pydocstyle_report: pydocstyle_report.txt
@@ -170,7 +170,7 @@
 	@git log --format='%aN,%aE' | sort -u | grep -v 'root'
 
 mypy3: mypy
-mypy: $(filter-out setup.py,${PYSOURCES})
+mypy: ${PYSOURCES}
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
 
 shellcheck: FORCE
@@ -186,8 +186,8 @@
 
 release: release-test
 	. testenv2/bin/activate && \
-		python testenv2/src/${PACKAGE}/setup.py sdist bdist_wheel
-	. testenv2/bin/activate && \
+		pip install build && \
+		python -m build testenv2/src/${PACKAGE} && \
 		pip install twine && \
 		twine upload testenv2/src/${PACKAGE}/dist/* && \
 		git tag ${VERSION} && git push --tags
@@ -210,7 +210,7 @@
 cwl_utils/parser/cwl_v1_2.py: FORCE
 	schema-salad-tool --codegen python \
 		--codegen-parser-info "org.w3id.cwl.v1_2" \
-		https://github.com/common-workflow-language/cwl-v1.2/raw/1.2.1_proposed/CommonWorkflowLanguage.yml \
+		https://github.com/common-workflow-language/cwl-v1.2/raw/codegen/CommonWorkflowLanguage.yml \
 		> $@
 
 regen_parsers: cwl_utils/parser/cwl_v1_*.py
