=== debian/changelog ===
cwl-utils (0.33-1) unstable; urgency=medium

  * New upstream version
  * d/control: Build in a PEP-517 manner

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Apr 2024 16:30:55 +0300

cwl-utils (0.32-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-mock.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Mar 2024 23:14:00 +0100
