=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                cwl-upgrader,
                cwlformat,
                python3-all,
@@ -17,7 +18,6 @@
                python3-setuptools,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               python3-mock <!nocheck>,
                nodejs <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cwl-utils
