## cwl-utils 0.34

=== debian/changelog ===
cwl-utils (0.34-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 12 Sep 2024 15:20:54 +0200
