## cwl-utils 0.35

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-sphinx >= 2.2, <7
+sphinx >= 2.2, < 9
 sphinx-rtd-theme
 sphinx-autoapi
 sphinx-autodoc-typehints
