=== debian/changelog ===
cwl-utils (0.35-1) unstable; urgency=medium

  * New upstream version
  * d/control: suggest "cwl-runner"
  * d/rules: make sure all test CWL documents are marked executable

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Oct 2024 10:48:08 +0200
