=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-filelock
 Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}, cwl-utils
+Suggests: ${python3:Suggests}, cwl-utils, cwl-runner
 Breaks: cwltool (<< 3.1.20231206180100)
 Description: Python Utilities and Autogenerated Classes for CWL v1.0 - v1.2
  The autogenerated classes can create, load, and save objects based upon CWL
