## cwl-utils 0.36

=== requirements.txt ===
cwl-upgrader >= 1.2.3
packaging
rdflib
requests
schema-salad >= 8.8.20241206093842, < 9
ruamel.yaml >= 0.17.6, < 0.19
