=== debian/changelog ===
cwl-utils (0.36-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: needs newer python3-schema-salad

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Dec 2024 00:10:50 +0100
