=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                python3-packaging,
                python3-rdflib,
                python3-requests,
-               python3-schema-salad (>= 8.3),
+               python3-schema-salad (>= 8.8.20241206093842),
                python3-filelock <!nocheck>,
                python3-setuptools,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
                nodejs <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cwl-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/cwl-utils.git
 Homepage: https://github.com/common-workflow-language/cwl-utils
