=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,6 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm -Rf debian/python3-cwl-utils/usr/bin
+	find debian/python3-cwl-utils -name "*.cwl" | xargs chmod a+x
