=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest, python3-pytest-mock, python3-mock, nodejs, cwlformat
Restrictions: allow-stderr

Test-Command: cwl-cite-extract --help && cwl-docker-extract --help && cwl-expression-refactor --help && cwl-normalizer --help
Depends: cwl-utils
Restrictions: superficial

Test-Command: cwl-graph-split --help
Depends: cwl-utils, cwlformat
Restrictions: superficial
