=== debian/changelog ===
cwl-utils (0.37-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * d/control: new dependency: python3-jsonschema
  * Added patch to copy in the remote data used for the input schema
    generation tests.
  * Switch from manual autopkgtest to autopkgtest-pkg-pybuild
  * Run the tests in parallel

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 13 Mar 2025 17:55:54 +0100
