=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #! /usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 export PYBUILD_NAME=cwl-utils
 
-export PYBUILD_TEST_ARGS=-k 'not (test_load_document_with_remote_uri or test_graph_split or test_remote_packing)'
+export PYBUILD_TEST_ARGS=$(DEB_BUILD_OPTION_PARALLEL:%=-n %) -k 'not (test_load_document_with_remote_uri or test_graph_split or test_remote_packing)' --pyargs cwl_utils
 export PYBUILD_TEST_PYTEST=1
 # test_load_document_with_remote_uri: requires external resource
 # test_graph_split: requires external resource
