=== docs/requirements.txt ===
sphinx >= 2.2, < 9
sphinx-rtd-theme
sphinx-autoapi
sphinx-autodoc-typehints
sphinxcontrib-autoprogram
