=== debian/changelog ===
cwl-utils (0.40-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Documentation.
  * Patch deleted, it was applied upstream.
  * Add patch to skip two tests that require cwltool, to avoid a
    circular dependency.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Sep 2025 15:02:20 +0200
