=== debian/control ===
--- 
+++ 
@@ -17,13 +17,16 @@
                python3-filelock <!nocheck>,
                python3-setuptools,
                python3-pytest <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               nodejs <!nocheck>
-Standards-Version: 4.7.0
+               nodejs <!nocheck>,
+               python3-jsonschema <!nocheck>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cwl-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/cwl-utils.git
 Homepage: https://github.com/common-workflow-language/cwl-utils
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-cwl-utils
 Architecture: all
