=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

export PYBUILD_NAME=cwl-utils

export PYBUILD_TEST_ARGS=$(DEB_BUILD_OPTION_PARALLEL:%=-n %) -k 'not (test_load_document_with_remote_uri or test_graph_split or test_remote_packing or test_graph_split_offline or test_graph_split_json_offline)' --pyargs cwl_utils
export PYBUILD_TEST_PYTEST=1
# test_load_document_with_remote_uri: requires external resource
# test_graph_split: requires external resource
# test_graph_split_offline: requires cwltool, skip to avoid circular dependency
# test_graph_split_json_offline: requires cwltool, skip to avoid circular dependency

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	rm -Rf debian/python3-cwl-utils/usr/bin
	find debian/python3-cwl-utils -name "*.cwl" | xargs chmod a+x
